Show creditor profile detail
curl --request GET \
--url https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 22,
"row_type": "creditor_profile",
"company_name": "Sadguru Shopping Center",
"company_url": "https://sadguru.example.test",
"profile_status": {
"value": "active_member",
"label": "Active Member",
"short_label": "AM"
},
"contacts": {
"email": "noreply@younegotiate.com",
"phone": "9005090050",
"phone_label": "(900) 509-0050"
},
"address": {
"line_1": "1600 Amphitheatre Pkwy",
"line_2": "Suite 100",
"city": "Mountain View",
"state": "CA",
"state_label": "California",
"zip": "94043",
"full": "1600 Amphitheatre Pkwy, Suite 100, Mountain View, California, 94043"
}
}
}{
"message": "Unauthenticated."
}{
"message": "Not Found."
}Show creditor profile detail
Show the EcoMail Hub creditor profile summary card for a creditor-profile row.
GET
/
manage-creditor-profiles
/
{creditorProfile}
Show creditor profile detail
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Creditor profile ID from the manage creditor profiles list.
Response
Creditor profile summary returned.
Show child attributes
Show child attributes
Last modified on July 19, 2026
Was this page helpful?
⌘I

